diff -Ncr a2ps-4.13/ps/base.ps a2ps-4.13-ja_nls/ps/base.ps
*** a2ps-4.13/ps/base.ps	Thu May 28 01:13:45 1998
--- a2ps-4.13-ja_nls/ps/base.ps	Tue Jun 20 19:21:40 2000
***************
*** 153,159 ****
  % Return the y size of the current font
  % - => fontsize
  /currentfontsize {
!   currentfont /FontMatrix get 3 get 1000 mul
  } bind def
  
  % reencode the font
--- 153,163 ----
  % Return the y size of the current font
  % - => fontsize
  /currentfontsize {
!   currentfont /FontType get 0 eq {
!     currentfont /FontMatrix get 3 get
!   }{
!     currentfont /FontMatrix get 3 get 1000 mul
!   } ifelse
  } bind def
  
  % reencode the font
***************
*** 201,206 ****
--- 205,348 ----
      currentdict 
    end 
  } bind def
+ 
+ % composite fonts for ASCII-EUC mixed string
+ % Version 1.2 1/31/1990
+ % Orignal Ken'ichi HANDA (handa@etl.go.jp)
+ % Modified Norio Katayama (katayama@rd.nacsis.ac.jp),1998
+ % Extend & Fix Koji Nakamaru (maru@on.cs.keio.ac.jp), 1999
+ % Anyone can freely copy, modify, distribute this program.
+ 
+ /copyfont {	% font-dic extra-entry-count  copyfont  font-dic
+ 	1 index maxlength add dict begin
+ 	{	1 index /FID ne 2 index /UniqueID ne and
+ 		{def} {pop pop} ifelse
+ 	} forall
+ 	currentdict
+ 	end
+ } bind def
+ 
+ /compositefont { % ASCIIFontName EUCFontName RomanScale RomanOffset Rot(T/F) compositefont font
+     /RomanRotation exch def
+     /RomanOffset exch def
+     /RomanScale exch def
+     userdict /fixeucfont_dict known not {
+ 	userdict begin
+ 	    /fixeucfont_dict 2 dict begin
+ 		/UpperByteEncoding [
+ 		    16#00 1 16#20 { pop 0 } for
+ 		    16#21 1 16#28 { 16#20 sub } for
+ 		    16#29 1 16#2F { pop 0 } for
+ 		    16#30 1 16#74 { 16#27 sub } for
+ 		    16#75 1 16#FF { pop 0 } for
+ 		] def
+ 	        /LowerByteEncoding [
+ 		    16#00 1 16#A0 { pop /.notdef } for
+ 		    16#A1 1 16#FE { 16#80 sub 16 2 string cvrs
+ 				    (cXX) dup 1 4 -1 roll
+ 				    putinterval cvn } for
+ 		    /.notdef
+ 		] def
+ 		currentdict
+ 	    end def
+ 	end
+     } if
+     findfont dup /FontType get 0 eq {
+ 	14 dict begin
+ 	    %
+ 	    % 7+8 bit EUC font
+ 	    %
+ 	    12 dict begin
+ 		/EUCFont exch def
+ 		/FontInfo (7+8 bit EUC font) readonly def
+ 		/PaintType 0 def
+ 		/FontType 0 def
+ 		/FontMatrix matrix def
+ 		% /FontName
+ 		/Encoding fixeucfont_dict /UpperByteEncoding get def
+ 		/FMapType 2 def
+ 		EUCFont /WMode known
+ 		{ EUCFont /WMode get /WMode exch def }
+ 		{ /WMode 0 def } ifelse
+ 		/FDepVector [
+ 		    EUCFont /FDepVector get 0 get
+ 		    [ 16#21 1 16#28 {} for 16#30 1 16#74 {} for ]
+ 		    {
+ 			13 dict begin
+ 			    /EUCFont EUCFont def
+ 			    /UpperByte exch 16#80 add def	
+ 			    % /FontName
+ 			    /FontInfo (EUC lower byte font) readonly def
+ 			    /PaintType 0 def
+ 			    /FontType 3 def
+ 			    /FontMatrix matrix def
+ 			    /FontBBox {0 0 0 0} def
+ 			    /Encoding
+ 				fixeucfont_dict /LowerByteEncoding get def
+ 			    % /UniqueID
+ 			    % /WMode
+ 			    /BuildChar {
+ 				gsave
+ 				exch dup /EUCFont get setfont
+ 				/UpperByte get
+ 				2 string
+ 				dup 0 4 -1 roll put
+ 				dup 1 4 -1 roll put
+ 				dup stringwidth setcharwidth
+ 				0 0 moveto show
+ 				grestore
+ 			    } bind def
+ 			    currentdict
+ 			end
+ 			/lowerbytefont exch definefont
+ 		    } forall
+ 		] def
+ 		currentdict
+ 	    end
+ 	    /eucfont exch definefont
+ 	    exch
+ 	    findfont 1 copyfont dup begin
+ 		RomanRotation {
+ 			/FontMatrix FontMatrix
+ 			[ 0 RomanScale neg RomanScale 0 RomanOffset neg 0 ]
+ 			matrix concatmatrix def
+ 		}{
+ 			/FontMatrix FontMatrix
+ 			[ RomanScale 0 0 RomanScale 0 RomanOffset ] matrix concatmatrix
+ 			def
+ 			/CDevProc
+ 			    {pop pop pop pop 0 exch -1000 exch 2 div 880} def
+ 		} ifelse
+ 	    end
+ 	    /asciifont exch definefont
+ 	    exch
+ 	    /FDepVector [ 4 2 roll ] def
+ 	    /FontType 0 def
+ 	    /WMode 0 def
+ 	    /FMapType 4 def
+ 	    /FontMatrix matrix def
+ 	    /Encoding [0 1] def
+ 	    /FontBBox {0 0 0 0} def
+ %	    /FontHeight 1.0 def % XXXX
+ 	    /FontHeight RomanScale 1.0 ge { RomanScale }{ 1.0 } ifelse def
+ 	    /Descent -0.3 def   % XXXX
+ 	    currentdict
+ 	end
+ 	/tmpfont exch definefont
+ 	pop
+ 	/tmpfont findfont
+     }{
+ 	pop findfont 0 copyfont
+     } ifelse
+ } def	
+ 
+ /slantfont {	% FontName slant-degree  slantfont  font'
+     exch findfont 1 copyfont begin
+     [ 1 0 4 -1 roll 1 0 0 ] FontMatrix exch matrix concatmatrix
+     /FontMatrix exch def
+     currentdict
+     end
+ } def
  
  % Function print line number (<string> # -)
  /# {
diff -Ncr a2ps-4.13/src/Makefile.am a2ps-4.13-ja_nls/src/Makefile.am
*** a2ps-4.13/src/Makefile.am	Mon Nov 22 02:47:55 1999
--- a2ps-4.13-ja_nls/src/Makefile.am	Tue Jun 20 19:21:40 2000
***************
*** 49,56 ****
  # I don't really understand why I have to put srcdir here, but
  # it is needed for yacc and lex files (seems related to #line, but
  # I really don't understand why)...
! INCLUDES = -I.. -I$(srcdir) -I$(top_srcdir)/lib -I$(top_builddir)/intl
  
! a2ps_LDADD = $(top_builddir)/lib/liba2ps.la @INTLLIBS@ @LEXLIB@  -lm
  
  EXTRA_DIST = $(BUILT_SOURCES)
--- 49,56 ----
  # I don't really understand why I have to put srcdir here, but
  # it is needed for yacc and lex files (seems related to #line, but
  # I really don't understand why)...
! INCLUDES = -I.. -I$(srcdir) -I$(top_srcdir)/lib -I$(top_builddir)/intl -I$(top_builddir)/libjcode
  
! a2ps_LDADD = $(top_builddir)/lib/liba2ps.la @INTLLIBS@ @LEXLIB@ @LIBJCODELIBS@  -lm
  
  EXTRA_DIST = $(BUILT_SOURCES)
diff -Ncr a2ps-4.13/src/buffer.c a2ps-4.13-ja_nls/src/buffer.c
*** a2ps-4.13/src/buffer.c	Thu Feb 10 01:29:03 2000
--- a2ps-4.13-ja_nls/src/buffer.c	Tue Jun 20 20:26:20 2000
***************
*** 40,45 ****
--- 40,49 ----
  #include "argmatch.h"
  #include "buffer.h"
  #include <assert.h>
+ #ifdef USE_LIBJCODE
+ #include "jlib.h"
+ extern use_libjcode;
+ #endif
  
  /****************************************************************/
  /*		 	Handling of the various eol styles	*/
***************
*** 417,425 ****
--- 421,441 ----
       match_keyword, which looks one char after the current char.  With
       this sentinel, which is probably not in the alphabet, we save a
       test on the length of the buffer. */
+ #ifdef USE_LIBJCODE
+   obstack_1grow (&buffer->obstack, '\0');
+   if (use_libjcode == true)
+     {
+       if(buffer->content) free(buffer->content);
+       buffer->content = toStringEUC(obstack_finish (&buffer->obstack));
+     }
+   else
+       buffer->content = (uchar *) obstack_finish (&buffer->obstack);
+   buffer->len = strlen(buffer->content);
+ #else
    buffer->len = obstack_object_size (&buffer->obstack);
    obstack_1grow (&buffer->obstack, '\0');
    buffer->content = (uchar *) obstack_finish (&buffer->obstack);
+ #endif
  
    /* One more line read */
    buffer->line++;
